Bug 722951

Summary: RFE: Please build tig for EPEL5 and 6.
Product: [Fedora] Fedora Reporter: Steve Traylen <steve.traylen>
Component: tigAssignee: Bryan Kearney <bkearney>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: bkearney, jeff, tibbs, tmz
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: tig-0.17-1.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-08-31 22:55:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Steve Traylen 2011-07-18 15:23:41 UTC
Hi,

I was hoping you might consider releasing tig for EPEL.

A quick check and a scratch build of your unmodified sources builds fine
on EPEL6.

http://koji.fedoraproject.org/koji/taskinfo?taskID=3207123

however EPEL5 fails it must be said
http://koji.fedoraproject.org/koji/taskinfo?taskID=3207114

with:

asciidoc -aversion=0.17 -asysconfdir=/etc -b xhtml11 -d article -n manual.txt
FAILED: /builddir/build/BUILD/tig-0.17/manual.txt: line 263: illegal [paradef-default] options: header: header

I'll try and produce a patch shortly for above.

Steve.

Comment 1 Steve Traylen 2011-07-18 19:30:29 UTC
For EPEL5.

A simple 

sed -i 's/,options="header"//g' manual.txt

after %setup 

is enough to the let the build complete, I not entirely sure of 
significance of this but looking at the documentation and comparing
it is perfectly comparable with newer documentation.

Steve.

Comment 2 Fedora Update System 2011-08-15 08:20:27 UTC
tig-0.17-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/tig-0.17-1.el6

Comment 3 Fedora Update System 2011-08-15 08:20:40 UTC
tig-0.17-1.el5.1 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/tig-0.17-1.el5.1

Comment 4 Fedora Update System 2011-08-16 20:59:39 UTC
tig-0.17-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 5 Fedora Update System 2011-08-31 22:55:39 UTC
tig-0.17-1.el5.1 has been pushed to the Fedora EPEL 5 stable repository.

Comment 6 Fedora Update System 2011-08-31 22:58:27 UTC
tig-0.17-1.el6 has been pushed to the Fedora EPEL 6 stable repository.